Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class StringBufferPool

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.StringBufferPool

public class StringBufferPool
extends java.lang.Object

This class pools string buffers, since they are reused so often. String buffers are good candidates for pooling, because of their supporting character arrays.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`StringBufferPool()`

Method Summary
`static void` | `free(FastStringBuffer sb)` Return a string buffer back to the pool.
`static FastStringBuffer` | `get()` Get the first free instance of a string buffer, or create one if there are no free instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringBufferPool

    public StringBufferPool()

Method Detail

### get

    public static FastStringBuffer get()

  Get the first free instance of a string buffer, or create one if there are no free instances.

  Returns:
    A string buffer ready for use.

### free

    public static void free(FastStringBuffer sb)

  Return a string buffer back to the pool.

  Parameters:
    `sb` - Must be a non-null reference to a string buffer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference